Subject: bug#53708: closed (Re: bug#53708: [PATCH] Fix Elixir substitution error)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Feb 2022 14:52:02 +0000

Your bug report

#53708: [PATCH] Fix Elixir substitution error

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53708: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53708: [PATCH] Fix Elixir substitution error
From: Ludovic Courtès <[email-masked]>
To: Cees de Groot <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Feb 2022 15:51:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Cees de Groot <[email-masked]> skribis:

>>>From d9860a374c5b6e5b992439a232e6897bfde1e334 Mon Sep 17 00:00:00 2001
> From: Cees de Groot <[email-masked]>
> Date: Tue, 1 Feb 2022 14:12:17 -0500
> Subject: [PATCH] Fix regex for ERTS_BIN substitution in Elixir
>
> Something must have gone wrong during testing of the ELixir 1.13.2 patch I submitted last week. Apart from #53707, I also found out that the whole substitution regex did not work. This works better - it is still more brittle than I like, but apparently `substitute*`
> does not work with fully anchored regexes.

I adjusted the commit log and applied it.

Thanks!

Ludo’.

Subject: [PATCH] Fix Elixir substitution error
From: Cees de Groot <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 01 Feb 2022 19:16:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>From d9860a374c5b6e5b992439a232e6897bfde1e334 Mon Sep 17 00:00:00 2001
From: Cees de Groot <[email-masked]>
Date: Tue, 1 Feb 2022 14:12:17 -0500
Subject: [PATCH] Fix regex for ERTS_BIN substitution in Elixir

Something must have gone wrong during testing of the ELixir 1.13.2 patch I submitted last week. Apart from #53707, I also found out that the whole substitution regex did not work. This works better - it is still more brittle than I like, but apparently `substitute*`
does not work with fully anchored regexes.

---
 gnu/packages/elixir.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/elixir.scm b/gnu/packages/elixir.scm
index fae8279e5c..55e17f2901 100644
--- a/gnu/packages/elixir.scm
+++ b/gnu/packages/elixir.scm
@@ -70,7 +70,7 @@ (define-public elixir
                 (("#!/bin/sh")
                  (string-append "#!" (search-input-file inputs "/bin/sh"))))
               (substitute* "bin/elixir"
-                (("^ERTS_BIN=$")
+                (("ERTS_BIN=\n")
                  (string-append
                   "ERTS_BIN="
                   ;; Elixir Releases will prepend to ERTS_BIN the path of
--
2.34.0